spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Liren Ding <sky.gonna.bri...@gmail.com>
Subject Package org.apache.spark.annotation no longer exist in Spark 2.0?
Date Tue, 04 Oct 2016 17:33:53 GMT
I just upgrade from Spark 1.6.1 to 2.0, and got  an java compile error:
*error: cannot access DeveloperApi*
*  class file for org.apache.spark.annotation.DeveloperApi not found*

>From the Spark 2.0 document (
https://spark.apache.org/docs/2.0.0/api/java/overview-summary.html), the
package org.apache.spark.annotation is removed. Does anyone know if it's
moved to another package? Or how to call developerAPI with absence of the
annotation? Thanks.

Cheers,
Liren

Mime
View raw message